/********************************************************************************************************\

	File Name:	CommonHeavyCruiser.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonHeavyCruiser.h"
#include "CommonHeavyCruiserBaseState.h"
#include "TeamInfo.h"

tClassAllocator<tCommonHeavyCruiser> gCommonHeavyCruiserAllocator;

void tCommonHeavyCruiser::mSetupState()
{
	mRegisterState( new tCommonHeavyCruiserBaseState() );
	mGotoState( typeid( tCommonHeavyCruiserBaseState ) );
}
void tCommonHeavyCruiser::mSetupCommState()
{}
void tCommonHeavyCruiser::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );

	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();

	mSetTargetable( kFalse );
}


