/********************************************************************************************************\

	File Name:	CommonHeavyBattlecruiser.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonHeavyBattlecruiser.h"
#include "CommonHeavyBattlecruiserBaseState.h"
#include "TeamInfo.h"

tClassAllocator<tCommonHeavyBattlecruiser> gCommonHeavyBattlecruiserAllocator;

void tCommonHeavyBattlecruiser::mSetupState()
{
	mRegisterState( new tCommonHeavyBattlecruiserBaseState() );
	mGotoState( typeid( tCommonHeavyBattlecruiserBaseState ) );
}
void tCommonHeavyBattlecruiser::mSetupCommState()
{}
void tCommonHeavyBattlecruiser::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );

	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();

	mSetTargetable( kFalse );
}